Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.deployment.wsdd
Class WSDDTypeMapping

    java.lang.Object
      |
      +--org.apache.axis.deployment.wsdd.WSDDConstants
            |
            +--org.apache.axis.deployment.wsdd.WSDDElement
                  |
                  +--org.apache.axis.deployment.wsdd.WSDDTypeMapping

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  WSDDBeanMapping

public class WSDDTypeMapping
extends WSDDElement

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `deserializer`
`protected java.lang.String` | `encodingStyle`
`protected QName` | `qname`
`protected java.lang.String` | `ref`
`protected java.lang.String` | `serializer`
`protected QName` | `typeQName`

Fields inherited from class org.apache.axis.deployment.wsdd.WSDDConstants
`ATTR_ATTACHMENT_FORMAT, ATTR_CLASSNAME, ATTR_DESERIALIZER, ATTR_ENCSTYLE, ATTR_LANG_SPEC_TYPE, ATTR_LOCKED, ATTR_MODE, ATTR_NAME, ATTR_PIVOT, ATTR_PROVIDER, ATTR_QNAME, ATTR_RETQNAME, ATTR_RETTYPE, ATTR_SERIALIZER, ATTR_SOAPACTORNAME, ATTR_STREAMING, ATTR_STYLE, ATTR_TYPE, ATTR_VALUE, BEAN_DESERIALIZER_FACTORY, BEAN_SERIALIZER_FACTORY, ELEM_WSDD_BEANMAPPING, ELEM_WSDD_CHAIN, ELEM_WSDD_DEPLOY, ELEM_WSDD_DOC, ELEM_WSDD_ELEMENTMAPPING, ELEM_WSDD_ENDPOINTURL, ELEM_WSDD_FAULTFLOW, ELEM_WSDD_GLOBAL, ELEM_WSDD_HANDLER, ELEM_WSDD_JAXRPC_CHAIN, ELEM_WSDD_JAXRPC_HANDLERINFO, ELEM_WSDD_JAXRPC_HEADER, ELEM_WSDD_JAXRPC_ROLE, ELEM_WSDD_NAMESPACE, ELEM_WSDD_OPERATION, ELEM_WSDD_PARAM, ELEM_WSDD_REQFLOW, ELEM_WSDD_RESPFLOW, ELEM_WSDD_SERVICE, ELEM_WSDD_TRANSPORT, ELEM_WSDD_TYPEMAPPING, ELEM_WSDD_UNDEPLOY, ELEM_WSDD_WSDLFILE, NS_PREFIX_WSDD, NS_PREFIX_WSDD_JAVA, PROVIDER_EJB, PROVIDER_HANDLER, PROVIDER_MSG, PROVIDER_RPC, QNAME_BEANMAPPING, QNAME_CHAIN, QNAME_DEPLOY, QNAME_DOC, QNAME_EJB_PROVIDER, QNAME_ELEMENTMAPPING, QNAME_ENDPOINTURL, QNAME_FAULTFLOW, QNAME_GLOBAL, QNAME_HANDLER, QNAME_HANDLER_PROVIDER, QNAME_JAVAMSG_PROVIDER, QNAME_JAVARPC_PROVIDER, QNAME_JAXRPC_HANDLERINFO, QNAME_JAXRPC_HANDLERINFOCHAIN, QNAME_JAXRPC_HEADER, QNAME_JAXRPC_ROLE, QNAME_NAMESPACE, QNAME_OPERATION, QNAME_PARAM, QNAME_REQFLOW, QNAME_RESPFLOW, QNAME_SERVICE, QNAME_TRANSPORT, QNAME_TYPEMAPPING, QNAME_UNDEPLOY, QNAME_WSDLFILE, URI_WSDD, URI_WSDD_HANDLER, URI_WSDD_JAVA, URI_WSDD_WSDD_BSF, URI_WSDD_WSDD_COM`

Constructor Summary
`WSDDTypeMapping()` Default constructor
`WSDDTypeMapping(org.w3c.dom.Element e)`

Method Summary
`java.lang.Class` | `getDeserializer()`
`java.lang.String` | `getDeserializerName()`
`protected QName` | `getElementName()` Return the element name of a particular subclass.
`java.lang.String` | `getEncodingStyle()`
`java.lang.Class` | `getLanguageSpecificType()`
`QName` | `getQName()`
`java.lang.String` | `getRef()`
`java.lang.Class` | `getSerializer()`
`java.lang.String` | `getSerializerName()`
`void` | `setDeserializer(java.lang.Class deser)`
`void` | `setDeserializer(java.lang.String deser)` Set the deserializer factory name
`void` | `setEncodingStyle(java.lang.String es)`
`void` | `setLanguageSpecificType(java.lang.Class javaType)` Set javaType (type= attribute or languageSpecificType= attribute)
`void` | `setLanguageSpecificType(java.lang.String javaType)` Set javaType (type= attribute or languageSpecificType= attribute)
`void` | `setQName(QName name)`
`void` | `setRef(java.lang.String ref)`
`void` | `setSerializer(java.lang.Class ser)`
`void` | `setSerializer(java.lang.String ser)` Set the serializer factory name
`void` | `writeToContext(SerializationContext context)` Write this element out to a SerializationContext

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDElement
`getChildElement, getChildElements, getDocumentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qname

    protected QName qname

### serializer

    protected java.lang.String serializer

### deserializer

    protected java.lang.String deserializer

### typeQName

    protected QName typeQName

### ref

    protected java.lang.String ref

### encodingStyle

    protected java.lang.String encodingStyle

Constructor Detail

### WSDDTypeMapping

    public WSDDTypeMapping()

  Default constructor

### WSDDTypeMapping

    public WSDDTypeMapping(org.w3c.dom.Element e)
                    throws WSDDException

  Parameters:
    `e` - (Element) XXX
  Throws:
    `WSDDException` - XXX

Method Detail

### writeToContext

    public void writeToContext(SerializationContext context)
                        throws java.io.IOException

  Write this element out to a SerializationContext
  Overrides:
    `writeToContext` in class `WSDDElement`

### getElementName

    protected QName getElementName()

  Description copied from class: `WSDDElement`
  Return the element name of a particular subclass.
  Overrides:
    `getElementName` in class `WSDDElement`

### getRef

    public java.lang.String getRef()

  Returns:
    XXX

### setRef

    public void setRef(java.lang.String ref)

  Parameters:
    `ref` - XXX

### getEncodingStyle

    public java.lang.String getEncodingStyle()

  Returns:
    XXX

### setEncodingStyle

    public void setEncodingStyle(java.lang.String es)

  Parameters:
    `es` - XXX

### getQName

    public QName getQName()

  Returns:
    XXX

### setQName

    public void setQName(QName name)

  Parameters:
    `name` - XXX

### getLanguageSpecificType

    public java.lang.Class getLanguageSpecificType()
                                            throws java.lang.ClassNotFoundException

  Returns:
    XXX
  Throws:
    `java.lang.ClassNotFoundException` - XXX

### setLanguageSpecificType

    public void setLanguageSpecificType(java.lang.Class javaType)

  Set javaType (type= attribute or languageSpecificType= attribute)
  Parameters:
    `javaType` - the class of the javaType

### setLanguageSpecificType

    public void setLanguageSpecificType(java.lang.String javaType)

  Set javaType (type= attribute or languageSpecificType= attribute)
  Parameters:
    `javaType` - is the name of the class. (For arrays this could be the form my.Foo[] or could be in the form [Lmy.Foo;

### getSerializer

    public java.lang.Class getSerializer()
                                  throws java.lang.ClassNotFoundException

  Returns:
    XXX
  Throws:
    `java.lang.ClassNotFoundException` - XXX

### getSerializerName

    public java.lang.String getSerializerName()

  Returns:
    serializer factory name

### setSerializer

    public void setSerializer(java.lang.Class ser)

  Parameters:
    `ser` - XXX

### setSerializer

    public void setSerializer(java.lang.String ser)

  Set the serializer factory name
  Parameters:
    `ser` - name of the serializer factory class

### getDeserializer

    public java.lang.Class getDeserializer()
                                    throws java.lang.ClassNotFoundException

  Returns:
    XXX
  Throws:
    `java.lang.ClassNotFoundException` - XXX

### getDeserializerName

    public java.lang.String getDeserializerName()

  Returns:
    deserializer factory name

### setDeserializer

    public void setDeserializer(java.lang.Class deser)

  Parameters:
    `deser` - XXX

### setDeserializer

    public void setDeserializer(java.lang.String deser)

  Set the deserializer factory name
  Parameters:
    `deser` - name of the deserializer factory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.